/*
 * shohaku Copyright (C) 2005 tomoya nagatani
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
 */
package shohaku.ginkgo.nodes.core.base;

import java.util.Iterator;

import shohaku.ginkgo.Node;
import shohaku.ginkgo.nodes.AbstractValueNode;

/**
 * コンテンツ内の情報をすべて文字列型に連結して表す値型のノードを提供します。 <br>
 * <br>
 * 値の生成規則： <br>
 * 値型の全ての子エレメントとテキストノードを前後のスペース文字を削除せずにそのまま連結して値とします。 <br>
 * <br>
 */
public class CharDataNode extends AbstractValueNode {

    /**
     * 値を生成して返却します。
     * 
     * @return 生成された値
     */
    protected Object generateValue() {
        StringBuffer buff = new StringBuffer(255);
        Iterator i = getContext().valueIterator();
        while (i.hasNext()) {
            buff.append(((Node) i.next()).getNodeValue());
        }
        return buff.toString();
    }

}